Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225932 - Merge Review: jakarta-commons-launcher
Summary: Merge Review: jakarta-commons-launcher
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lillian Angel
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:09 UTC by Nobody's working on this, feel free to take it
Modified: 2009-12-24 23:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-24 23:18:25 UTC
fitzsim: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:09:35 UTC
Fedora Merge Review: jakarta-commons-launcher

http://cvs.fedora.redhat.com/viewcvs/devel/jakarta-commons-launcher/
Initial Owner: mwringe@redhat.com

Comment 1 Thomas Fitzsimmons 2007-02-09 17:27:19 UTC
MUST:
* is this appropriate for Fedora?
X rpmlint on all rpms gives no output

  $ rpmlint jakarta-commons-launcher-1.1-1jpp.1.fc7.src.rpm
  W: jakarta-commons-launcher non-standard-group Development/Libraries/Java

  $ rpmlint jakarta-commons-launcher-1.1-1jpp.1.fc7.i386.rpm
  W: jakarta-commons-launcher non-standard-group Development/Libraries/Java

  $ rpmlint jakarta-commons-launcher-javadoc-1.1-1jpp.1.fc7.i386.rpm
  W: jakarta-commons-launcher-javadoc non-standard-group Development/Documentation
  W: jakarta-commons-launcher-javadoc dangerous-command-in-%post rm
  W: jakarta-commons-launcher-javadoc percent-in-%postun
  W: jakarta-commons-launcher-javadoc dangerous-command-in-%postun rm

  $ rpmlint jakarta-commons-launcher-debuginfo-1.1-1jpp.1.fc7.i386.rpm

  These are all OK for the reasons Fernando cites here:

  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=225928

  But this one is a bug:
  W: jakarta-commons-launcher-javadoc percent-in-%postun

  You need this patch:

--- jakarta-commons-launcher.spec       9 Feb 2007 03:56:28 -0000       1.16
+++ jakarta-commons-launcher.spec       9 Feb 2007 17:06:05 -0000
@@ -147,7 +147,7 @@
 fi
 
 %if %{gcj_support}
-%{post}
+%post
 if [ -x %{_bindir}/rebuild-gcj-db ]
 then
   %{_bindir}/rebuild-gcj-db
@@ -155,7 +155,7 @@
 %endif
 
 %if %{gcj_support}
-%{postun}
+%postun
 if [ -x %{_bindir}/rebuild-gcj-db ]
 then
   %{_bindir}/rebuild-gcj-db

* package is named appropriately
* specfile name matches %{name}
* package meets packaging guidelines.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package and marked with %doc
* specfile written in American English
* specfile is legible
* source files match upstream
* package successfully compiles and builds on at least x86
* BuildRequires are proper
* find_lang usage correct
* package is not relocatable
* package owns all directories and files
* no %files duplicates
* file permissions are fine; %defattrs present
* %clean present
* macro usage is consistent
* package contains code
* no large docs so no -doc subpackage
* %doc files don't affect runtime
* gcj .so files need not be in a -devel sub-package
* no pkgconfig or header files
* no -devel package
* no .la files
* desktop file
* not a web app.
* file ownership fine
* binary RPMs function on x86
* final provides and requires are sane

SHOULD:
* package includes license text
* description and summary sections don't have translations (OK)
* package builds in mock
* package builds on i386
* package functions as described
X scriptlets should be sane

  See above about fixing %{post} and %{postun} references.

* no -devel package
* no pkgconfig files

I'm marking this as fedora-review+.  Please build the fixed packages into Brew.
 Once they hit Rawhide, I'll close this RAWHIDE.


Comment 2 Matt Wringe 2007-02-09 20:12:06 UTC
%post and %postun fixed in rawhide and rebuilt in brew.

Comment 3 Alexander Kurtakov 2009-12-24 23:18:25 UTC
Closing. It was approved almost 3 years ago.


Note You need to log in before you can comment on or make changes to this bug.